Subject: Re: [PATCH V2 09/12] net/eipoib: Add main driver functionality

From: Or Gerlitz <[email-masked]>
Date: Sun, 12 Aug 2012 17:13:43 +0300

On 12/08/2012 16:55, Michael S. Tsirkin wrote:
> I didn't realize you do ARP snooping. Why? I know you mangle outgoing 
> ARP packets, 

Maybe I wasn't accurate/clear, we do mangle outgoing/incoming ARP 
packets, from/to Ethernet ARPs
to/from IPoIB ARPs.

> this will go away if you maintain a mapping in SM accessible to all 
> guests. 

guests don't interact with IB, I assume you referred to dom0 code, eIPoIB or
another driver in the host. But what mapping exactly? and remember that
this code (VM through eipoib) can talk to any IPoIB element on the 
fabric, native,
virtualized,  HW/SW gateways, etc etc.

Or.